#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Iconsmind-Outline-Clock-2.ico
#AutoIt3Wrapper_Outfile=fnts_x86.exe
#AutoIt3Wrapper_Outfile_x64=fnts_x64.exe
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Compile_Both=y
#AutoIt3Wrapper_Res_Comment=Add tailfix timestamp for a file.
#AutoIt3Wrapper_Res_Description=檔名加上時間戳記。
#AutoIt3Wrapper_Res_Fileversion=0.0.0.2
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=y
#AutoIt3Wrapper_Res_ProductName=fnts
#AutoIt3Wrapper_Res_ProductVersion=1.0.0.0
#AutoIt3Wrapper_Res_CompanyName=寶焰自在工作室 BYGG Studio
#AutoIt3Wrapper_Res_LegalCopyright=寶焰自在工作室版權所有，2005~2020。 BYGG Studio All Rights Reverved 2005~2020.
#AutoIt3Wrapper_Res_Language=1028
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

;------------------------------------------------------------------------------
#include <FileConstants.au3>
#include <MsgBoxConstants.au3>
#include <WinAPIFiles.au3>
#include <Array.au3>
#include <File.au3>

Global Const $MSGTITLE = "fnts使用說明"
Global Const $TIPMSG   = "fnts_x64(fnts_x86) 需要增加時間戳記的檔案。"
Global Const $ERRTITLE = "fnts錯誤"
Global Const $ERRMSG   = "，找不到指定的檔案！"

If $CmdLine[0] = 0 Then
	MsgBox($MB_SYSTEMMODAL, $MSGTITLE, $TIPMSG)
Else
	If Not FileExists($CmdLine[1]) Then
		MsgBox($MB_ICONERROR, $ERRTITLE, $ERRMSG)
    Else
		Local $sDrive = "", $sDir = "", $sFileName = "", $sExtension = ""
        Local $aPathSplit = _PathSplit($CmdLine[1], $sDrive, $sDir, $sFileName, $sExtension)
		FileMove($CmdLine[1], $sFileName & timeStamp(2) & $sExtension, $FC_OVERWRITE + $FC_CREATEPATH)
	EndIf
EndIf


;------------------------------------------------------------------------------
Func timeStamp($theFormat = 0)
	Switch $theFormat
		Case 0
			Return @YEAR & "-" & @MON & "-" & @MDAY & " " & @HOUR & ":" & @MIN & ":" & @SEC
		Case 1
			Return @YEAR & "/" & @MON & "/" & @MDAY & " " & @HOUR & ":" & @MIN & ":" & @SEC
		Case 2
			Return @YEAR & @MON & @MDAY & @HOUR & @MIN & @SEC
		Case Else
			Return @YEAR & "-" & @MON & "-" & @MDAY & " " & @HOUR & ":" & @MIN & ":" & @SEC
	EndSwitch
EndFunc
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------